commit 64eff0b7fc1fd8984f77b4deda588da0edeaf7f6
Author: Marcin Banasiak <marcin.banas...@gmail.com>
Date:   Tue Sep 20 21:50:03 2016 +0200

    Update to 3.22.0

 gtk+3.spec | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)
---
diff --git a/gtk+3.spec b/gtk+3.spec
index 9fb31d0..df2f75f 100644
--- a/gtk+3.spec
+++ b/gtk+3.spec
@@ -18,12 +18,12 @@ Summary(it.UTF-8):  Il toolkit per GIMP
 Summary(pl.UTF-8):     GIMP Toolkit
 Summary(tr.UTF-8):     GIMP ToolKit arayüz kitaplığı
 Name:          gtk+3
-Version:       3.20.9
+Version:       3.22.0
 Release:       1
 License:       LGPL v2+
 Group:         X11/Libraries
-Source0:       
http://ftp.gnome.org/pub/GNOME/sources/gtk+/3.20/gtk+-%{version}.tar.xz
-# Source0-md5: cc76cac5e18c772c6784bf19a3dff08b
+Source0:       
http://ftp.gnome.org/pub/GNOME/sources/gtk+/3.22/gtk+-%{version}.tar.xz
+# Source0-md5: 9dc50d56cd15121bef25b9fc133f0154
 Patch0:                %{name}-papi.patch
 URL:           http://www.gtk.org/
 BuildRequires: at-spi2-atk-devel >= 2.6.0
@@ -40,12 +40,13 @@ BuildRequires:      docbook-dtd412-xml
 BuildRequires: docbook-style-xsl
 BuildRequires: gdk-pixbuf2-devel >= 2.31.0
 BuildRequires: gettext-tools >= 0.18.3
-BuildRequires: glib2-devel >= 1:2.46.0
+BuildRequires: glib2-devel >= 1:2.50.0
 BuildRequires: gobject-introspection-devel >= 1.39.0
 %if %{with apidocs}
 BuildRequires: gtk-doc >= 1.20
 BuildRequires: gtk-doc-automake >= 1.20
 %endif
+BuildRequires: harfbuzz-devel >= 0.9
 %{?with_cloudprint:BuildRequires:      json-glib-devel >= 1.0}
 BuildRequires: libepoxy-devel >= 1.0
 BuildRequires: libstdc++-devel
@@ -80,7 +81,7 @@ BuildRequires:        xz
 BuildRequires: Mesa-libwayland-egl-devel
 # wayland-client, wayland-cursor, wayland-scanner
 BuildRequires: wayland-devel >= 1.9.91
-BuildRequires: wayland-protocols >= 1.2
+BuildRequires: wayland-protocols >= 1.7
 BuildRequires: xorg-lib-libxkbcommon-devel >= 0.2.0
 %endif
 Requires:      xorg-lib-libX11 >= 1.5.0
@@ -88,7 +89,7 @@ Requires(post,postun):        glib2 >= 1:2.46.0
 Requires:      atk >= 1:2.16.0
 Requires:      cairo-gobject >= 1.14.0
 Requires:      gdk-pixbuf2 >= 2.31.0
-Requires:      glib2 >= 1:2.46.0
+Requires:      glib2 >= 1:2.50.0
 Requires:      libepoxy >= 1.0
 Requires:      pango >= 1:1.38.0
 Requires:      xorg-lib-libXi >= 1.3.0
@@ -161,7 +162,7 @@ Summary:    Utility to update icon cache used by GTK+ 
library
 Summary(pl.UTF-8):     Narzędzie do uaktualniania cache'a ikon używanego przez 
bibliotekę GTK+
 Group:         Applications/System
 Requires:      gdk-pixbuf2 >= 2.31.0
-Requires:      glib2 >= 1:2.46.0
+Requires:      glib2 >= 1:2.50.0
 
 %description -n gtk-update-icon-cache
 Utility to update icon cache used by GTK+ library.
@@ -186,7 +187,7 @@ Requires:   at-spi2-atk-devel >= 2.6.0
 Requires:      atk-devel >= 1:2.16.0
 Requires:      cairo-gobject-devel >= 1.14.0
 Requires:      gdk-pixbuf2-devel >= 2.31.0
-Requires:      glib2-devel >= 1:2.46.0
+Requires:      glib2-devel >= 1:2.50.0
 Requires:      pango-devel >= 1:1.38.0
 Requires:      shared-mime-info
 
@@ -227,7 +228,7 @@ Dokumentacja API GTK+.
 Summary:       GTK+ - example programs
 Summary(pl.UTF-8):     GTK+ - programy przykładowe
 Group:         X11/Development/Libraries
-Requires(post,postun): glib2 >= 1:2.46.0
+Requires(post,postun): glib2 >= 1:2.50.0
 Requires:      %{name}-devel = %{version}-%{release}
 
 %description examples
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/gtk+3.git/commitdiff/64eff0b7fc1fd8984f77b4deda588da0edeaf7f6

_______________________________________________
pld-cvs-commit mailing list
pld-cvs-commit@lists.pld-linux.org
http://lists.pld-linux.org/mailman/listinfo/pld-cvs-commit

Reply via email to